APINHI

List NHI agents

List the agents found in the org's directories.

GET
/nhi/agents

List the agents found in the org's directories.

Authorization

ApiKeyAuth
headerAuthorizationBearer <token>

Bearer token authentication. Send an API key (a saai_api_-prefixed token) as Authorization: Bearer <token>.

Required permission

view_nhi

Query Parameters

source_id?string
Formatuuid

Response Body

The request has succeeded.

application/json
  1. response
items*array<>
Example Request
curl -X GET 'https://your-org.aisecurity.services.us.connect.secureauth.com/api/v1/nhi/agents'
Example Response
{  "items": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "source_id": "ae50a35c-df42-4eff-ba26-f8bc28d2af81",      "external_id": "string",      "display_name": "string",      "agent_slug": "string",      "open_findings": 0,      "highest_severity": "low",      "details": {        "provider": "microsoft_entra",        "object_type": "agent_identity",        "app_id": "string",        "blueprint_id": "string",        "created_at": "2019-08-24T14:15:22Z",        "account_enabled": true,        "owners": [          {            "id": "string",            "display_name": "string",            "user_principal_name": "string",            "mail": "string",            "kind": "user",            "account_id": "449e7a5c-69d3-4b8a-aaaf-5c9b713ebc65"          }        ],        "sponsors": [          {            "id": "string",            "display_name": "string",            "user_principal_name": "string",            "mail": "string",            "kind": "user",            "account_id": "449e7a5c-69d3-4b8a-aaaf-5c9b713ebc65"          }        ],        "consented_by": [          {            "id": "string",            "display_name": "string",            "user_principal_name": "string",            "mail": "string",            "kind": "user",            "account_id": "449e7a5c-69d3-4b8a-aaaf-5c9b713ebc65"          }        ],        "admin_consented_apis": [          "string"        ]      },      "usage": [        {          "mode": "user",          "user": {            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",            "display_name": "string",            "email": "string"          },          "first_seen_at": "2019-08-24T14:15:22Z",          "last_seen_at": "2019-08-24T14:15:22Z"        }      ]    }  ]}